Package com.usatiuk.utils

# Class UninitializedByteBuffer

java.lang.Object
com.usatiuk.utils.UninitializedByteBuffer

public class UninitializedByteBuffer extends Object

## Constructor Summary

Constructors
Constructor
Description
`UninitializedByteBuffer()`

## Method Summary

Modifier and Type
Method
Description
`static ByteBuffer`
`allocate(int capacity)`
`static long`
`getAddress(ByteBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UninitializedByteBuffer

public UninitializedByteBuffer()

## Method Details

### allocate

public static ByteBuffer allocate(int capacity)

### getAddress

public static long getAddress(ByteBuffer buffer)